Bug 66340 - fuser can't handle large files
fuser can't handle large files
Product: Red Hat Linux
Classification: Retired
Component: psmisc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-06-08 01:13 EDT by Jon Willeke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-26 11:16:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
configure.in: LFS symbol (requires autoconf 2.53) (340 bytes, patch)
2002-10-26 11:09 EDT, Jon Willeke
no flags Details | Diff

  None (edit)
Description Jon Willeke 2002-06-08 01:13:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
The fuser command can't handle files larger than 2 GB.  It should be compiled
with large file support by adding `getconf LFS_CFLAGS` to CFLAGS.

Version-Release number of selected component (if applicable): 20.2-2

How reproducible:

Steps to Reproduce:
1. create a large file
   dd if=/dev/null of=foo bs=1 seek=2150000000
2. use the file
   tail -f foo
3. call fuser in another process
   /sbin/fuser foo	

Actual Results:  The fuser command prints the following warning:

  foo: Value too large for defined data type

Expected Results:  If the file is in use, fuser should display a PID. 
Otherwise, it should have no output.

Additional info:

I logged this as bug 566083 at psmisc.sf.net, but large file support can be
added in the spec file, which already modifies the CFLAGS variable:

  perl -pi -e "s,^CFLAGS =,CFLAGS = $RPM_OPT_FLAGS -D_GNU_SOURCE,g" */Makefile.*

Adding `getconf LFS_CFLAGS` worked for me.
Comment 1 Mike A. Harris 2002-10-26 01:06:03 EDT
I've just taken over this package recently, and will investigate the
issue.  Thanks for reporting it to us.
Comment 2 Jon Willeke 2002-10-26 11:09:44 EDT
Created attachment 82210 [details]
configure.in: LFS symbol (requires autoconf 2.53)
Comment 3 Jon Willeke 2002-10-26 11:16:03 EDT
This has been fixed upstream in psmisc-21.2.  I've attached a patch to configure.in that defines AC_SYS_LARGEFILE.  This symbol is supported by autoconf-2.53, but not autoconf-2.13.

See Debian bug 129157 for more background (the psmisc maintainer is also the Debian packager).
Comment 4 Mike A. Harris 2002-11-13 11:40:15 EST
Thanks, fixed in rawhide psmisc 21.2-2 now.  Please reopen if it fails.

Note You need to log in before you can comment on or make changes to this bug.